import 'package:flutter/material.dart';
import 'package:flutter/painting.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:fw_color_contrast/src/relative_luminance.dart';

void main() {
  group('relative luminance of colors are correct', () {
    test('relative luminance of pure red is 0.2126', () {
      expect(
          RelativeLuminance.calculateFromColorWithBackground(
              const Color.fromARGB(255, 255, 0, 0)),
          0.2126);
    });
  });
}
